# emacs module foo

## Hot reload for dev
```elisp

(module-load "~/code/redvault-ai/target/release/deps/libemacs_rs_module-9ad53dadcc38727d.so")


(defun hotreload-el-rs ()
  (interactive)
  (rs-module/load "~/code/redvault-ai/target/debug/libredvault_el_rs.so")
  (redvault-el-rs/say-hello "Asd"))

```



## Planning


### Interface

#### Notes
- how to trigger
  - lisp based idle delay foo
- when to dismiss
  - when scrolling, moving cursor
- when triggered via `redvai-complete`
  - current-buffer
  - current-point



#### Boundry

Rust:
- make requests, gather related files and built repo-level context for qwen model
- push response(s) into overlay

Lisp:
- trigger completions (either kebind or idle-delay)
- dismiss completions (when moving cursor away)
- basic mode
